Events API
curl --request POST \
--url https://api.example.com/events \
--header 'Content-Type: application/json' \
--data '
{
"entity_external_id": "<string>",
"name": "<string>",
"properties": {}
}
'import requests
url = "https://api.example.com/events"
payload = {
"entity_external_id": "<string>",
"name": "<string>",
"properties": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({entity_external_id: '<string>', name: '<string>', properties: {}})
};
fetch('https://api.example.com/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Essentials
Events API
Record customer events in Lime Journey
POST
/
events
Events API
Record Event
The external ID of the entity
Name of the event
Additional properties for the event
curl -X POST https://api.limejourney.com/events \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"entity_external_id": "customer123",
"name": "purchase",
"properties": {
"amount": 99.99,
"product": "premium"
}
}'
Example Response
{
"status": "success",
"data": {
"id": "evt_123",
"entity_external_id": "customer123",
"name": "purchase",
"properties": {
"amount": 99.99,
"product": "premium"
},
"timestamp": "2024-01-15T12:00:00Z"
}
}
⌘I